summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-09-21 04:28:03 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-09-21 04:28:03 (GMT)
commit4ca46a11faaf8df619b8872d7f9c12eeaa29466f (patch)
treeb21def49141a794d4b2298c2a833b28ec1d65c66
parent5706e2ebac725903ee04569920efdc475a23aa8f (diff)
downloadlinhes_pkgbuild-4ca46a11faaf8df619b8872d7f9c12eeaa29466f.zip
linhes_pkgbuild-4ca46a11faaf8df619b8872d7f9c12eeaa29466f.tar.gz
linhes_pkgbuild-4ca46a11faaf8df619b8872d7f9c12eeaa29466f.tar.bz2
apr/apr-util: arch sync
-rw-r--r--abs/core-testing/apr-util/PKGBUILD17
-rw-r--r--abs/core-testing/apr/PKGBUILD34
2 files changed, 29 insertions, 22 deletions
diff --git a/abs/core-testing/apr-util/PKGBUILD b/abs/core-testing/apr-util/PKGBUILD
index cce5804..b44720c 100644
--- a/abs/core-testing/apr-util/PKGBUILD
+++ b/abs/core-testing/apr-util/PKGBUILD
@@ -1,24 +1,25 @@
-# $Id: PKGBUILD 4551 2008-07-08 03:25:33Z allan $
+# $Id: PKGBUILD 72241 2010-03-13 20:27:07Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
# Maintainer: Pierre Schmitz <pierre@archlinux.de>
pkgname=apr-util
-pkgver=1.3.2
-pkgrel=2
+pkgver=1.3.9
+pkgrel=4
pkgdesc="The Apache Portable Runtime"
arch=('i686' 'x86_64')
url="http://apr.apache.org/"
-depends=('apr>=1.3.2' 'gdbm' 'expat>=2.0' 'db>=4.7' 'libldap')
+depends=('apr>=1.4.2' 'gdbm' 'expat' 'db>=4.8' 'libldap' 'unixodbc')
options=('!libtool')
license=('APACHE')
source=("http://www.apache.org/dist/apr/apr-util-${pkgver}.tar.bz2")
-md5sums=('aa782fb9ced8b59c8e99419d8cdd1981')
+md5sums=('29dd557f7bd891fc2bfdffcfa081db59')
build() {
- cd ${srcdir}/apr-util-${pkgver}
+ cd "${srcdir}/apr-util-${pkgver}"
./configure --prefix=/usr --with-apr=/usr \
--without-pgsql --without-mysql --without-sqlite2 --without-sqlite3 \
- --with-berkeley-db=/usr --with-gdbm=/usr --with-ldap
+ --with-berkeley-db=/usr --with-gdbm=/usr --with-ldap || return 1
make || return 1
- make DESTDIR=${pkgdir} install
+ make DESTDIR="${pkgdir}" install || return 1
}
diff --git a/abs/core-testing/apr/PKGBUILD b/abs/core-testing/apr/PKGBUILD
index 561e8e3..b0d3f4d 100644
--- a/abs/core-testing/apr/PKGBUILD
+++ b/abs/core-testing/apr/PKGBUILD
@@ -1,25 +1,31 @@
-# $Id: PKGBUILD 8457 2008-08-11 22:13:07Z pierre $
-# Maintainer: Pierre Schmitz <pierre@archlinux.de>
+# $Id: PKGBUILD 72235 2010-03-13 20:22:25Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Pierre Schmitz <pierre@archlinux.de>
pkgname=apr
-pkgver=1.3.2
-pkgrel=2
+pkgver=1.4.2
+pkgrel=1
pkgdesc="The Apache Portable Runtime"
arch=('i686' 'x86_64')
url="http://apr.apache.org/"
-depends=('e2fsprogs')
+depends=('util-linux-ng>=2.16')
options=('!libtool')
license=('APACHE')
-source=("http://www.apache.org/dist/apr/apr-${pkgver}.tar.bz2")
-md5sums=('a0631c63640176371dd4a5bf13beeee8')
+source=(http://www.apache.org/dist/apr/apr-${pkgver}.tar.bz2)
+md5sums=('4b00e8f70c067893d075577962656b35')
build() {
- cd ${srcdir}/apr-${pkgver}
+ cd "${srcdir}/apr-${pkgver}"
+ export apr_cv_epoll_create1=no
+ export apr_cv_dup3=no
+ export apr_cv_accept4=no
+ export apr_cv_sock_cloexec=no
- ./configure --prefix=/usr --includedir=/usr/include/apr-1 \
- --with-installbuilddir=/usr/share/apr-1/build \
- --enable-nonportable-atomics \
- --with-devrandom=/dev/urandom
- make || return 1
- make DESTDIR=${pkgdir} install
+ ./configure --prefix=/usr --includedir=/usr/include/apr-1 \
+ --with-installbuilddir=/usr/share/apr-1/build \
+ --enable-nonportable-atomics \
+ --with-devrandom=/dev/urandom || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
}